import MySQL from './MySQL';
import Postgres from './Postgres';
import * as Redis from 'redis';
import { createClient as createRedisClient, createCluster as createRedisCluster } from 'redis';
import { IDatabase, Interfaces, prepareCreateTable } from './Types';
declare const getDatabaseFromEnvironment: (errorLog?: ((error: Error) => void) | undefined) => Promise<IDatabase | undefined>;
export { MySQL, Postgres, Redis, Interfaces, IDatabase, prepareCreateTable, createRedisClient, createRedisCluster, getDatabaseFromEnvironment };
declare const DBAbstraction: {
    MySQL: typeof MySQL;
    Postgres: typeof Postgres;
    Redis: typeof Redis;
    Interfaces: typeof Interfaces;
    IDatabase: typeof IDatabase;
    prepareCreateTable: typeof prepareCreateTable;
    createRedisClient: typeof Redis.createClient;
    createRedisCluster: typeof Redis.createCluster;
    getDatabaseFromEnvironment: (errorLog?: ((error: Error) => void) | undefined) => Promise<IDatabase | undefined>;
};
export default DBAbstraction;
